Loading...
Searching...
No Matches
CglLandPMessages.hpp File Reference
`#include "CoinMessage.hpp"`
`#include "CoinMessageHandler.hpp"`
Include dependency graph for CglLandPMessages.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | LAP::LandPMessages
| Message handler for lift-and-project simplex. More...

## Namespaces

namespace | LAP
| Performs one round of Lift & Project using CglLandPSimplex to build cuts.

## Enumerations

enum

LAP::LAP_messages {
LAP::Separating , LAP::FoundImprovingRow , LAP::FoundBestImprovingCol , LAP::WarnFailedBestImprovingCol ,
LAP::LogHead , LAP::PivotLog , LAP::FinishedOptimal , LAP::HitLimit ,
LAP::NumberNegRc , LAP::NumberZeroRc , LAP::NumberPosRc , LAP::WeightsStats ,
LAP::WarnBadSigmaComputation , LAP::WarnBadRowComputation , LAP::WarnGiveUpRow , LAP::PivotFailedSigmaUnchanged ,
LAP::PivotFailedSigmaIncreased , LAP::FailedSigmaIncreased , LAP::WarnBadRhsComputation , LAP::WarnFailedPivotTol ,
LAP::WarnFailedPivotIIf , LAP::RoundStats , LAP::CutStat , LAP::DUMMY_END
}

| Types of messages for lift-and-project simplex. More...